<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$user['clan_id']."'"));
if($row[$user['clan_prava'].'_invite'] != 1 && $user['clan_prava'] != 4) {
    header("Location: /clan/");
    exit();
}
$header = 'Рекрутинг';
require_once '../core/head.php';

$error = NULL;
if(isset($_POST['invite'])) {
    $nick = mysql_real_escape_string($_POST['invite']);
    $row = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `nick` = '$nick'"));
    $total = mysql_result(mysql_query("SELECT COUNT(id) FROM user WHERE `clan_id` = '".$user['clan_id']."'"), 0);
    if($row['storona'] != $user['storona']) $error = 'Нельзя отправить приглашение игроку другой стороны';
    if($total > 500) $error = 'Лимит пользователей исчерпан';
    if($row['level'] < 5) $error = 'Игрок меньше 5 уровня';
    if(empty($row['id'])) $error = 'Игрок с ником '.htmlspecialchars($_POST['invite']).' не найден';
    if($row['clan_id'] != 0) $error = 'Игрок уже состоит в клане';
    if(!$error) {
        mysql_query("INSERT INTO `invite` SET `user_id` = '".$row['id']."', `clan_id` = '".$user['clan_id']."', `owner_id` = '".$user['id']."'");
        echo '<div class="player" style="color: green">
        Приглашение игроку '.htmlspecialchars($_POST['invite']).' выслано
        </div>';
    }
}

if(isset($_POST['kick'])) {
    $nick = mysql_real_escape_string($_POST['kick']);
    $row = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `nick` = '$nick'"));
    if($row['clan_id'] != $user['clan_id']) $error = 'Игрок не состоит в Вашем клане';
    if(empty($row['id'])) $error = 'Игрок с ником '.htmlspecialchars($_POST['kick']).' не найден';
    if($row['id'] == $user['id']) $error = 'Нельзя исключить самого себя';
    if(!$error) { 
        mysql_query("UPDATE `user` SET `clan_id` = '0', `clan_prava` = '0' WHERE `nick` = '$nick'");
        $text = '<img src="/images/icon/race/'.$row['storona'].'.png" /> <a href="/user/'.$row['id'].'/">'.$nick.'</a> исключен из клана';
        mysql_query("INSERT INTO `jr_rekrut` SET `clan_id` = '".$row['clan_id']."', `text` = '$text'");
        echo '<div class="player" style="color: green">
        Игрок '.htmlspecialchars($_POST['kick']).' исключен
        </div>';
    }
    
    
}

if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>';
}

echo '<div class="player>
<div class="mini-line"></div>
<form class="player" method="post" action="">
Отправить приглашение игроку (ник):
<input class="text large" type="text" name="invite" /><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Отправить">Отправить</span></span>
</form>
<div class="dot-line"></div>
<form class="player" method="post" action="">
Исключить игрока (ник):
<input class="text large" type="text" name="kick" /><br />
<span class="btn"><span class="end">
<input class="label" type="submit" value="Исключить ">Исключить</span></span>
</form>
</div>';

require_once '../core/foot.php';